import axios from 'axios'

class TcVtAccionesAxiosService {
  constructor(token) {
    this.token = token
    this.baseURL = import.meta.env.VITE_APP_SERVER_APIBIS_RUTAC
    this.axiosInstance = axios.create({
      baseURL: this.baseURL,
      timeout: 30000,
      headers: {
        Authorization: `Bearer ${this.token}`
      }
    })
  }


  async getByUsername(username) {
    const params = {
      nombreServicio: 'VT_USER_BY_USERNAME',
      P_USERMAME: username
    }
    return this.axiosInstance.get('', {params})
  }
  

}

export default TcVtAccionesAxiosService
