
import axiosBisInstance from '@/utils/axios/axios-bis-intance.js'
import CrudGenerator from '@/utils/sql/CrudGenerator.js'
  

class TrVtUsersAxiosService {
 
  /**
   * Inyectar dependencias para generar sentencias SQL.
   */
  constructor() {
    this.crudGenerator = new CrudGenerator('TR_VT_USERS', 'ID_USERS');
  }
  /**
   * Métodos generados automáticamente  
   */
  
  async getAll() {
    const sentence = this.crudGenerator.getAll();
    return this.executeQuery('SELECT', sentence);
  }

  async getByPageAndFilter(first, rows, filterColumn, filterValue){
    const sentences = this.crudGenerator.getByPageAndFilter(first, rows, filterColumn, filterValue);
    const responseSelect = await this.executeQuery('SELECT', sentences.selectSQL);
    const responseCount = await this.executeQuery('SELECT', sentences.countSQL);
    return { "rawInfo" : responseSelect.data.Contenido, "totalElements" : Number(responseCount.data.Contenido[0].TOTAL) }
  }

  async getById(id) {
    const sentence = this.crudGenerator.getById(id);
    return this.executeQuery('SELECT', sentence);
  }
  
  create(data) {
    const sentence = this.crudGenerator.create(data);
    return this.executeQuery('INSERT', sentence);
  }

  update(id, data) {
    const sentence = this.crudGenerator.update(id, data);
    return this.executeQuery('UPDATE', sentence);
  }

  delete(id) {
    const sentence = this.crudGenerator.delete(id);
    return this.executeQuery('DELETE', sentence);
  }

  /**
   * Ejecutar las sentencias generadas en el servicio 
   */

    async executeQuery(queryType, sentence) {

      const params = {
        nombreServicio: 'VT_EXECUTOR',
        QUERY_TYPE: queryType,
        SQL_QUERY: sentence,
      };
  
      //console.log(params);
      return axiosBisInstance.post('', params);
    }

  /**
   *  Agregar métodos personalizados 
   */



}

export default new TrVtUsersAxiosService();
