import axios from "axios";

export default {
  async obtenerToken(form) {
    try {
      var params = {
        "usuario": import.meta.env.VITE_APP_SERVER_APIBIS_USER,
        "contrasena": import.meta.env.VITE_APP_SERVER_APIBIS_PASS
      };
      const response = await axios.post(import.meta.env.VITE_APP_SERVER_APIBIS_RUTAL, params, setTimeout(30000));

      if (response.status === 200) {
        return response.data.Contenido[0].Token;
      } else {
        return false;
      }
    } catch (error) {
      return false;
    }
  },











  












  async obtenerCatalogo(catalogo, token, id) {
    try {
      var header = {
        headers: {
          Authorization: `Bearer ${token}`,
        },
      }
      if (catalogo === 'usuario') {
        var params = {
          nombreServicio: "VT_USR_FILTRO",
          P_ID_USER: id,
        };

      }
      if (catalogo === 'variables') {
        var params = {
          nombreServicio: "VT_VAR_FILTRO",
          P_ID_CAT_VAR: id,


        };
      }
      if (catalogo === 'vectores') {
        var params = {
          nombreServicio: "VT_VEC_FILTRO",
          P_ID_VECTOR: id,
        };
      } if (catalogo === 'vectores_variables') {
        var params = {
          nombreServicio: "VT_VEC_VAR_FILTRO",
          P_ID_VECTOR: id,
        };
      }
      if (catalogo === 'variablesOpciones') {
        var params = {
          nombreServicio: "VT_VAR_OPC_FILTRO",
          P_ID_CAT_VAR_OPC: '',
          P_ID_CAT_VAR: id,
        };

      }
      if (catalogo === 'relacion') {
        var params = {
          nombreServicio: "VT_VEC_RELACION_OPC",
          P_ID_VECTOR: id,

        };
      }

        if (catalogo === 'relacionConVariables') {
          var params = {
            nombreServicio: "VT_VEC_RELACION_OPC_CON_VARIABLES",
            P_ID_VECTOR: id,
  
          };
        

      }
      const response = await axios.post(import.meta.env.VITE_APP_SERVER_APIBIS_RUTAC, params, header, setTimeout(30000));

      if (response.status === 200) {

        return response.data;
      } else {
        return false;
      }
    } catch (error) {
      return false;
    }
  },
  async eliminar(catalogo, token, id) {
    try {
      var header = {
        headers: {
          Authorization: `Bearer ${token}`,
        },
      }
      if (catalogo === 'usuario') {
        var params = {
          nombreServicio: "VT_USR_ELIMINAR",
          P_ID_USER: id,
        };

      }
      if (catalogo === 'variables') {
        var params = {
          nombreServicio: "VT_VAR_ELIMINAR",
          P_ID_CAT_VAR: id,
          P_ID_USER: 1


        };

      }
      if (catalogo === 'opciones') {
        var params = {
          nombreServicio: "VT_VAR_OPC_ELIMINAR",
          P_ID_CAT_VAR_OPC: id,
          P_ID_USER: 1

        };
      }
      if (catalogo === 'vectores') {//
        var params = {
          nombreServicio: "VT_VEC_ELIMINAR",
          P_ID_VECTOR: id,
          P_ID_USER: id //EL ID USER NO PUDE IR VACIO

        };
      }
      if (catalogo === 'vector_vars') {//VT_VECTOR_VARS
        var params = {
          nombreServicio: "VT_VECTOR_VARS",
          P_ID_VECTOR: id,
          P_ID_USER: id //EL ID USER NO PUDE IR VACIO

        };
      }
      
      if (catalogo === 'vector_vars_relac_elim') {
        var params = {
          nombreServicio: "VT_VEC_VAR_ELIMINAR",
          P_ID_VECTOR: id.id_vec,
          P_ID_CAT_VAR: id.id_var,
          P_ID_USER: 1 //EL ID USER NO PUDE IR VACIO

        };
      }
      const response = await axios.post(import.meta.env.VITE_APP_SERVER_APIBIS_RUTAC, params, header, setTimeout(30000));

      if (response.status === 200) {

        return response.data;
      } else {
        return false;
      }
    } catch (error) {
      return false;
    }
  },
  async guardar(token, datos) {
    try {
      var header = {
        headers: { Authorization: `Bearer ${token}`, },
      }
      const response = await axios.post(import.meta.env.VITE_APP_SERVER_APIBIS_RUTAC, datos, header, setTimeout(30000));
      if (response.status === 200) { return true; } else { return false; }
    } catch (error) {
      return false;
    }
  },

  async guardarjson(token, datos, catalogo) {
    try {
      var header = {
        headers: { Authorization: `Bearer ${token}`, },
      }
      if (catalogo === 'vt_vec_vars_list_update') {
        var params = {
          nombreServicio: "VT_VEC_VARS_LIST_UPDATE",
          P_VJSON: datos
        };
      }
      if (catalogo === 'vt_vec_lis_update') {
        var params = {
          nombreServicio: "VT_VEC_LIS_UPDATE",
          P_VJSON: datos
        };
      }
      const response = await axios.post(import.meta.env.VITE_APP_SERVER_APIBIS_RUTAC, params, header, setTimeout(30000));
      if (response.status === 200) { return true; } else { return false; }
    } catch (error) {
      return false;
    }
  },
  async guardarVtVectores(token, datos, catalogo) {
    try {
      var header = {
        headers: { Authorization: `Bearer ${token}`, },
      }
      if (catalogo === 'vt_vec_var_addcombo') {
        var params = {
          nombreServicio: "VT_VEC_VAR_ADDCOMBO",
          P_ID_CAT_VAR: datos[0].ID_CAT_VAR,
          P_ID_VECTOR: datos[0].ID_VECTOR,
          P_ORDEN: datos[0].ORDEN
        };
      }
      const response = await axios.post(import.meta.env.VITE_APP_SERVER_APIBIS_RUTAC, params, header, setTimeout(30000));
      if (response.status === 200) { return true; } else { return false; }
    } catch (error) {
      return false;
    }
  },
};
