import { exec } from "child_process";
import  fs  from "fs";
import { zip } from 'zip-a-folder';

/*
  Actualizar este nombre al nombre del contexto dentro de tomcat
*/
const appName =  process.env.npm_package_name;
console.log("Nombre:", appName);


const outputFolderName = "output-war/";
crearFolder(outputFolderName);
const os = new os_func();


const etapas = obtenerNombresArchivosEnv();
console.log(etapas);

etapas.forEach(etapa => {
  os.execCommand("npm run build -- --mode=" + etapa)
  .then((res) => {
    let folderName = outputFolderName + etapa + "/";
    crearFolder(folderName);

      zip("dist/", folderName + "/" + appName + ".war")
      .then(console.log("war for " + etapa + " created successfully in: " + folderName))
      .catch((error) => console.log(error));

    console.log("ok >>>", res);
  })
  .catch((err) => {
    console.log("error >>>", err);
  });
});



/* Funciones */
function os_func() {
  this.execCommand = function (cmd) {
    return new Promise((resolve, reject) => {
      exec(cmd, (error, stdout) => {
        if (error) {
          reject(error);
          return;
        }
        resolve(stdout);
      });
    });
  };
}

function crearFolder(path) {

  try {
    if (!fs.existsSync(path)) {
      fs.mkdirSync(path);
    }
  } catch (err) {
    console.error(err);
  }
}

function obtenerNombresArchivosEnv() {
  const directorio = './'; // Ruta del directorio donde se encuentran los archivos

  // Obtener los nombres de todos los archivos en el directorio
  const nombresArchivos = fs.readdirSync(directorio);

  // Filtrar los archivos con nombre que coincide con el patrón ".env.*" y extraer solo los nombres sin ".env."
  const archivosEnv = nombresArchivos
    .filter(nombreArchivo => /^\.env\..*$/.test(nombreArchivo))
    .map(nombreArchivo => nombreArchivo.replace(/^\.env\./, ''));

  return archivosEnv;
}


